
//*******************************************************************
//            RSVP over IPv6 Winsock2 Service Provider
//*******************************************************************
//
// File: rsvpipv6_alloc_and_free_test.h
//
// Description: 
//
// Declaration of functions for allocating and freeing memory
// for several API structures.
// Freeing functions call other ones until the total memory
// is freed.
// Allocating functions do not (in general) allocate memory for
// "nested" memory.
//
// Copyright 1999, DIT-UPM
//
//*******************************************************************

#ifndef RSVPIPV6_ALLOC_AND_FREE_TEST_H
#define RSVPIPV6_ALLOC_AND_FREE_TEST_H

/////////////////////////////////////////////////////////////////////
// Declarations of functions
/////////////////////////////////////////////////////////////////////

LPRSVP_FLOWDESC	new_flow_desc_list( ULONG numFds );
LPRSVP_FILTERSPEC new_RSVP_FILTERSPEC_list( ULONG numfilts );
int				free_flow_desc_list( ULONG numFds, LPRSVP_FLOWDESC fdList );

#endif // RSVPIPV6_ALLOC_AND_FREE_TEST_H